com.jogamp.newt

## Interface Display.PointerIcon

- All Superinterfaces:
    PixelRectangle
  Enclosing class:
    Display

      public static interface Display.PointerIcon
      extends PixelRectangle

  Native PointerIcon handle.

  Instances can be created via `Display`'s `createPointerIcon(pngResource, ..)` or `createPointerIcon(pixelrect, ..)`.

  Instance is `destroy()`'ed automatically if it's `associated Display` is destroyed.

  Instance can be re-validated after destruction via `validate()`.

  `Display.PointerIcon` must not be `destroyed` while in use!

  `Display.PointerIcon` may be `destroyed` manually after use, i.e. when no `Window` `uses them` anymore. However, this is not required.

  PointerIcons can be used via `Window#setPointerIcon(PointerIcon)`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.util.PixelRectangle

      `PixelRectangle.GenericPixelRect`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys this instance.
    `Display` | `getDisplay()`
    `PointImmutable` | `getHotspot()` Returns the hotspot.
    `int` | `getStride()` Always neatly packed, i.e.
    `int` | `hashCode()` Computes a hash code over: display pixelformat size stride isGLOriented pixels hotspot Dismissing the native handle!
    `boolean` | `isGLOriented()` Always false, i.e.
    `boolean` | `isValid()` Returns true if valid, otherwise false.
    `boolean` | `validate()` Returns true if instance `isValid()` or validation was successful, otherwise false.

    - ### Methods inherited from interface javax.media.nativewindow.util.PixelRectangle

      `getPixelformat, getPixels, getSize, toString`

- - ### Method Detail

    - #### getStride

          int getStride()

      Always neatly packed, i.e. width * bytes_per_pixel.

      Returns stride in byte-size, i.e. byte count from one line to the next.

      Must be >= `PixelRectangle.getPixelformat()`.`bytesPerPixel()` * `PixelRectangle.getSize()`.`getWidth()`.

      Specified by:
        `getStride` in interface `PixelRectangle`

    - #### isGLOriented

          boolean isGLOriented()

      Always false, i.e. origin is TOP-LEFT.

      Returns `true` if the memory is laid out in OpenGL's coordinate system, origin at bottom left. Otherwise returns `false`, i.e. origin at top left.

      Specified by:
        `isGLOriented` in interface `PixelRectangle`

    - #### hashCode

          int hashCode()

      Computes a hash code over:
      - display
      - pixelformat
      - size
      - stride
      - isGLOriented
      - pixels
      - hotspot
      Dismissing the native handle!

      The hashCode shall be computed only once with first call and stored for later retrieval to enhance performance.

      Computes a hash code over:

      - pixelformat
      - size
      - stride
      - isGLOriented
      - pixels

      The hashCode shall be computed only once with first call and stored for later retrieval to enhance performance.

      Specified by:
        `hashCode` in interface `PixelRectangle`
      Overrides:
        `hashCode` in class `Object`

    - #### getDisplay

          Display getDisplay()

      Returns:
        the associated Display

    - #### getHotspot

          PointImmutable getHotspot()

      Returns the hotspot.

    - #### isValid

          boolean isValid()

      Returns true if valid, otherwise false.

      A PointerIcon instance becomes invalid if it's `associated Display` is destroyed.

    - #### validate

          boolean validate()

      Returns true if instance `isValid()` or validation was successful, otherwise false.

      Validation, i.e. recreation, is required if instance became invalid, see `isValid()`.

    - #### destroy

          void destroy()

      Destroys this instance.

      Will be called automatically if it's `associated Display` is destroyed.

Copyright 2010 JogAmp Community.